\input{../../include/schemes-ideal}
\input{../../include/schemes}
\begin{document}
\begin{tikzpicture}[
    submatrix/.style = {draw = black, line width = \submatrixlinewidth},
    submatrixlabel/.style = {
      draw = none, fill = none, anchor = center, align = center,
      scale = \labelscale, inner sep = \labelinnersep,
      line width = \labellinewidth
    }
  ]
  % Top green and red lines.
  \draw[
    draw = green, line width = \sidelinewidth
  ] (-1.55 * \drawscale, 1.7 * \drawscale) node{}
  -- (0.45 * \drawscale, 1.7 * \drawscale);
  \draw[
    draw = red, line width = \sidelinewidth
  ] (0.55 * \drawscale, 1.7 * \drawscale) node{}
  -- (1.55 * \drawscale, 1.7 * \drawscale);
  % Left green and red lines.
  \draw[
    draw = green, line width = \sidelinewidth
  ] (-1.7 * \drawscale, 1.55 * \drawscale) node{}
  -- (-1.7 * \drawscale, -0.45 * \drawscale);
  \draw[
    draw = red, line width = \sidelinewidth
  ] (-1.7 * \drawscale, -0.55 * \drawscale) node{}
  -- (-1.7 * \drawscale, -1.55 * \drawscale);
  % Sparse/dense matrix.
  \node[
    matrix, draw = black, line width = \matrixlinewidth,
    inner sep = \matrixinnersep, column sep = 3mm
  ] (FB) at (0, 0) {
    \draw[
      submatrix
    ] (0, 0) rectangle ++(2 * \drawscale, 2 * \drawscale);     
    \node[submatrixlabel] (Avv) at (1 * \drawscale, 1 * \drawscale) {
      \textcolor{green}{$A_{vv}$} \\ [-2mm]
      {\tiny \textit{\textbf{creuse}}}
    }; & \\ [3mm]
    & 
    \draw[
      submatrix
    ] (0, 0) rectangle ++(1 * \drawscale, 1 * \drawscale);
    \node[submatrixlabel] (Ass) at (0.5 * \drawscale, 0.5 * \drawscale) {
      \textcolor{red}{$A_{ss}$} \\ [-2mm]
      {\tiny \textit{\textbf{dense}}}
    }; \\
  };
\end{tikzpicture}
\end{document}
